Name: nepomuk-scribo
Summary: Nepomuk and Scribo semantic annotation features
Version: 0.6.0
Release: %mkrel 2
Group: Graphical desktop/KDE
Epoch: 1
License: LGPL
URL: http://nepomuk.kde.org
Source: %name-%{version}.tar.bz2
Patch0: nepomuk-scribo-cmakelists-file.patch
Patch1: nepomuk-scribo-opencalais-deactivation.patch
Patch2: geonames-cmakelist.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: soprano-devel >= 4:2.3.1
BuildRequires: kdelibs4-devel >= 2:4.2.98
BuildRequires: kdepimlibs4-devel >= 4.2.98
BuildRequires: kdebase4-runtime-devel >= 1:4.3.1
BuildRequires: kdebase4-workspace-devel >= 2:4.2.98
BuildRequires: kdebase4-devel >= 1:4.2.98 
BuildRequires: olena-devel >= 1.0-3
BuildRequires: strigi-devel
BuildRequires: tesseract-devel >= 2.04-4
Obsoletes: playground-nepomuk-kde
Obsoletes: nepomuk-kde
Obsoletes: nepomuk-extras < 0.1-1:0.1 
Provides: nepomuk-extras = %{epoch}:%{version}-%{release}

%description
Nepomuk Scribo enhances the KDE desktop with semi-automatic annotation 
capabilities and with cross application activity management. It introduces 
a new way to deal with tasks at the desktop level, transversaly between 
applications. Nepomuk Scribo annotators take advantage of natural language 
processing technologies.  

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/*
%{_kde_datadir}/applications/kde4/*
%{_kde_appsdir}/*

#---------------------------------------------------------------------------------

%define nepomukvisualization_major 0
%define libnepomukvisualization %mklibname nepomukvisualization %{nepomukvisualization_major}

%package -n %{libnepomukvisualization}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libnepomukvisualization}
Nepomuk support library.

%files -n %{libnepomukvisualization}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukvisualization.so.%{nepomukvisualization_major}*

#---------------------------------------------------------------------------------

%define nepomukutils_major 0
%define libnepomukutils %mklibname nepomukutils %{nepomukutils_major}

%package -n %{libnepomukutils}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libnepomukutils}
Nepomuk support library.

%files -n %{libnepomukutils}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukutils.so.%{nepomukutils_major}*

#---------------------------------------------------------------------------------

%define nepomuktasks_major 0
%define libnepomuktasks %mklibname nepomuktasks %{nepomuktasks_major}

%package -n %{libnepomuktasks}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libnepomuktasks}
Nepomuk support library.

%files -n %{libnepomuktasks}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomuktasks.so.%{nepomuktasks_major}*

#---------------------------------------------------------------------------------

%define scribo_major 0
%define libscribo %mklibname scribo %{scribo_major}

%package -n %{libscribo}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libscribo}
Nepomuk support library.

%files -n %{libscribo}
%defattr(-,root,root,-)
%{_kde_libdir}/libscribo.so.%{scribo_major}*

#---------------------------------------------------------------------------------

%define nepomukcontext_major 0
%define libnepomukcontext %mklibname nepomukcontext %{nepomukcontext_major}

%package -n %{libnepomukcontext}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libnepomukcontext}
Nepomuk support library.

%files -n %{libnepomukcontext}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukcontext.so.%{nepomukcontext_major}*

#---------------------------------------------------------------------------------

%define nepomukannotation_major 0
%define libnepomukannotation %mklibname nepomukannotation %{nepomukannotation_major}

%package -n %{libnepomukannotation}
Summary: Nepomuk support library
Group: System/Libraries

%description -n %{libnepomukannotation}
Nepomuk support library.

%files -n %{libnepomukannotation}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukannotation.so.%{nepomukannotation_major}*


#---------------------------------------------------------------------------------

%package devel
Summary: Devel headers for nepomuk support
Group: Development/KDE and Qt
Requires: %{libnepomukannotation} = %epoch:%version-%release
Requires: %{libnepomukcontext} = %epoch:%version-%release
Requires: %{libnepomukvisualization} = %epoch:%version-%release
Requires: %{libscribo} = %epoch:%version-%release
Requires: %{libnepomukutils} = %epoch:%version-%release
Requires: %{libnepomuktasks} = %epoch:%version-%release
Obsoletes: nepomuk-kde-devel = %epoch:%version-%release
Obsoletes: playground-nepomuk-kde-devel = %epoch:%version-%release

%description devel
Devel headers for nepomuk playground

%files devel
%defattr(-,root,root,-)
%{_kde_libdir}/*.so
%{_kde_datadir}/dbus-1/interfaces/org.kde.nepomuk.UserContextService.xml
%{_kde_includedir}/*

#---------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %{name} nepomuk-scribo khtml_nepomuk_task_linker nepomuksmartfilemodule tasktop scribo_opencalaistextmatchplugin plasma_applet_nepomukcontextchooser khtml_nepomukannotation kio_nepomuk kio_tags nepomuk_geonamesannotationplugin nepomuk_pimoannotationplugin nepomuk_pimotypeannotationplugin nepomuk_webpageannotationplugin nepomukannotation nepomukmenuplugin nepomukpeopletag nepomuksearchclient nepomuksimplesearch nepomuktasks nepomukutils nepomukvisualization nsqclient pimoshell plasma_applet_nepomuktags plasma_runner_nepomukannotation scribo taskman

%clean 
rm -rf %buildroot



%changelog
* Wed Oct 28 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.6.0-2mdv2010.0
+ Revision: 459701
- added patch deactivating the OpenCalais plugin by default

* Wed Oct 28 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.6.0-1mdv2010.0
+ Revision: 459682
- v0.6.0 developer release

* Tue Oct 27 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.8-1mdv2010.0
+ Revision: 459616
- v0.5.8 developer release
- v0.5.7 developer release

* Mon Oct 26 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.6-1mdv2010.0
+ Revision: 459365
- v0.5.6 developer release
- added l10n files

* Fri Oct 23 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.5-1mdv2010.0
+ Revision: 459034
- added simpleannotator patch
- v0.5.5 developer release

* Thu Oct 22 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.4-1mdv2010.0
+ Revision: 458683
- v0.5.4 developer release
- v0.5.4 developer release
- v0.5.3 developer release

* Thu Oct 15 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-11mdv2010.0
+ Revision: 457589
- updated plasmoid.desktop

* Wed Oct 14 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-10mdv2010.0
+ Revision: 457369
- reverted to 0.5.2 release 10
- v0.5.3 developer release

* Fri Oct 02 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-9mdv2010.0
+ Revision: 452739
- nepomuk-scribo-devel: added requires libkresourcetreeview and libtasktreedialog

* Fri Oct 02 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-8mdv2010.0
+ Revision: 452695
- added kresourcetreeview and tasktreedialog libraries
- fixed .so installation for tasktreedialog and kresourcetreeview

* Fri Oct 02 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-6mdv2010.0
+ Revision: 452689
- removed installation of static libs (*.a)
- kresoucetreeview and tasktreedialog as shared libs

* Fri Oct 02 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-2mdv2010.0
+ Revision: 452467
- v0.5.3 developer release

* Mon Sep 28 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5.2-1mdv2010.0
+ Revision: 450704
- v0.5.2 developer release
- v0.5.1 developer release

* Fri Sep 25 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.5-1mdv2010.0
+ Revision: 448536
- v0.5 developer release

* Thu Sep 24 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.4-1mdv2010.0
+ Revision: 448328
- v0.4 developer release

* Wed Sep 23 2009 Stéphane Laurière <slauriere@mandriva.com> 1:0.3-1mdv2010.0
+ Revision: 447801
- v0.3 developer release

* Mon Sep 21 2009 Helio Chissini de Castro <helio@mandriva.com> 1:0.2-1mdv2010.0
+ Revision: 446792
- New developers 0.2 release.

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1:0.1-3mdv2010.0
+ Revision: 443625
- Fix tesseract detection. Testing was relying in wrong library
- Enable tesseract build

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1:0.1-2mdv2010.0
+ Revision: 443553
- Missing line in tasktop install

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1:0.1-1mdv2010.0
+ Revision: 443364
- Soo tired.. Another issue in the nepomuk-scribo was preventing build in 64 bit installations.
- First release of nepomuk-scribo
- Requested naming change by nepomuk team

* Mon Jul 27 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1-0.pre1.1mdv2010.0
+ Revision: 400622
- First upstream nepomuk-extras package
- Moving to official package from Nepomuk team

* Mon Jan 26 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-0.916937.2mdv2009.1
+ Revision: 333765
- Remove exceptions for link

  + Funda Wang <fundawang@mandriva.org>
    - New snapshot
    - use cmake_kde to build

* Fri Jan 23 2009 Nicolas Vigier <nvigier@mandriva.com> 4.2.0-0.915213.4mdv2009.1
+ Revision: 333093
- move libnepomuklinkwidget.so from nepomuk-kde-devel to nepomuk-kde

* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 4.2.0-0.915213.3mdv2009.1
+ Revision: 332613
- fix conflicts between main and devel
- Add missing requires on devel package

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-0.915213.2mdv2009.1
+ Revision: 332594
- New svn build as requested by nepomuk developers

* Sun Nov 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.71-0.878903.2mdv2009.1
+ Revision: 299290
- Fix File list
- workaround pb in buildrequires
- Fix stupid typo
- Fix BuildRequires
- New snapshot

* Thu Aug 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.854049.1mdv2009.0
+ Revision: 277009
- New snapshot

* Sun Aug 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.3mdv2009.0
+ Revision: 275589
- Add obsoletes

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.2mdv2009.0
+ Revision: 272732
- Fix file list

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.1mdv2009.0
+ Revision: 272568
- Add buildrequires
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.71-0.811361.1mdv2009.0
+ Revision: 210117
- New snapshot
- Rename accordly kde policy

* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 173696
- import playground-nepomuk-kde

